All of lore.kernel.org
 help / color / mirror / Atom feed
From: mbroz@sourceware.org <mbroz@sourceware.org>
To: lvm-devel@redhat.com
Subject: LVM2/test/lib aux.sh
Date: 30 Jun 2011 08:50:11 -0000	[thread overview]
Message-ID: <20110630085011.8187.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mbroz at sourceware.org	2011-06-30 08:50:10

Modified files:
	test/lib       : aux.sh 

Log message:
	Try to force remove dm devices in after test fails.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/aux.sh.diff?cvsroot=lvm2&r1=1.21&r2=1.22

--- LVM2/test/lib/aux.sh	2011/06/30 01:17:37	1.21
+++ LVM2/test/lib/aux.sh	2011/06/30 08:50:10	1.22
@@ -90,6 +90,27 @@
 	rm -f DEVICES # devs is set in prepare_devs()
 	rm -f LOOP
 
+	# Try to remove test devices
+	# resume any linears to be sure we do not deadlock
+	STRAY_DEVS=$(dmsetup table | grep linear | sed 's/:.*//' | grep $COMMON_PREFIX | cut -d' '  -f 1)
+	for dm in $STRAY_DEVS ; do
+		# FIXME: only those really suspended
+		dmsetup resume $dm 2>/dev/null
+	done
+
+	# Now try to remove devices
+	finish=0
+	while [ $finish -eq 0 ] ; do
+		finish=1
+		STRAY_DEVS=$(dmsetup table | sed 's/:.*//' | grep $COMMON_PREFIX | cut -d' '  -f 1)
+		for dm in $STRAY_DEVS ; do
+			echo "Trying to remove stalled $dm"
+			dmsetup remove $dm 2>/dev/null
+			# Sucessful remove means repeat the loop once more
+			[ $? -eq 0 ] && finish=0
+		done
+	done
+
 	# Remove any loop devices that failed to get torn down if earlier tests aborted
         STRAY_LOOPS=`losetup -a | grep $COMMON_PREFIX | cut -d: -f1`
         if test -n "$STRAY_LOOPS"; then



             reply	other threads:[~2011-06-30  8:50 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-06-30  8:50 mbroz [this message]
  -- strict thread matches above, loose matches on Subject: below --
2012-03-23  9:41 LVM2/test/lib aux.sh zkabelac
2012-03-16 19:08 zkabelac
2012-03-16 13:44 zkabelac
2012-03-16 12:57 zkabelac
2012-03-16 12:56 zkabelac
2012-03-06  2:54 agk
2012-01-26 18:25 zkabelac
2011-12-12  0:01 mornfall
2011-11-10 12:44 zkabelac
2011-10-23 15:43 zkabelac
2011-10-23 15:40 zkabelac
2011-09-24 21:15 zkabelac
2011-07-08 10:05 zkabelac
2011-07-08 11:36 ` Zdenek Kabelac
2011-06-30  9:17 agk
2011-06-30  9:08 zkabelac
2011-06-30  1:17 agk
2011-06-29 18:14 agk
2011-06-29 17:37 agk
2011-06-29 17:33 agk
2011-06-29 12:37 agk
2011-06-29 12:33 agk
2011-06-28  0:38 agk
2011-06-28  0:11 agk
2011-03-04 14:19 mbroz
2011-03-01 23:44 mbroz
2011-03-01 22:28 mbroz
2011-01-28 16:10 zkabelac
2011-01-13 14:57 zkabelac
2011-01-12 16:07 mornfall
2011-01-07 13:04 mornfall
2011-01-07 13:03 mornfall
2011-01-05  0:25 mornfall

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20110630085011.8187.qmail@sourceware.org \
    --to=mbroz@sourceware.org \
    --cc=lvm-devel@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.